- entityDefinitions:
  - IDE_CustomReportDefinition_Filter: '{e26a1636-4d0e-4900-8a39-1b62463109fa}'
  - IDE_CustomReportDefinition_FilterTab: '{11006832-e041-4426-b6e9-29a1a5ae3bef}'

  - IDA_OpenParenthesis: '{161a8b37-42a2-48e4-be2f-f7d7094dbf2a}'
  - IDA_CloseParenthesis: '{7b180342-9c3a-47d1-b3db-723df0a1a813}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_CustomReportDefinition_FilterTab;'
    elementContents:
    - globalIdentifier: '{31285070-e530-428a-b374-a99f2937acd3}'
      order: a
      label: 'Filter'
      defaultDataType: '&IDE_CustomReportDefinition_Filter;'
      builtFromBEMProcess:
      - globalIdentifier: '{a0be9193-8652-4222-8d49-b8132a26a03d}'
        loopExecutableReturningInstanceSet: '&IDMB_Custom_Report_Definition__get__Top_Level_Report_Filters;'

  - textAttribute: '&IDA_OpenParenthesis;'
    name: 'Open Parenthesis'
  - textAttribute: '&IDA_CloseParenthesis;'
    name: 'Open Parenthesis'

  - element: '&IDE_CustomReportDefinition_Filter;'
    name: 'Filter'
    label: ''
    elementContents:
    - globalIdentifier: '{16934f1b-a44c-4e8b-924d-c28efe55c6e8}'
      order: a
      label: 'Report Filter'
      defaultDataType: '&IDC_ReportFilter;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{15093b4c-4803-4fb9-902c-e0375f1ba309}'
      order: b
      label: 'Order'
      defaultDataType: '&IDA_Order;'
    - globalIdentifier: '{d8ac69cd-c237-4210-9dea-71462d3b7706}'
      order: c
      label: 'And/Or'
      # defaultDataType: '&IDR_Report_Filter__has__Conjunction;'
    - globalIdentifier: '{81629b9b-8c4f-4f86-8adb-24dc49b6e836}'
      order: d
      label: '('
      defaultDataType: '&IDA_OpenParenthesis;'
    - globalIdentifier: '{4140f83d-5021-467e-abe5-77cf2c74e15c}'
      order: e
      label: 'Field'
      defaultDataType: '&IDR_Report_Filter__has__Report_Field;'
    - globalIdentifier: '{50368731-8f61-4878-bf06-792cfdc18a57}'
      order: f
      label: 'Operator'
      # defaultDataType: '&IDR_Report_Filter__has__Relational_Operator;'
    - globalIdentifier: '{bd583c45-b689-4897-8b83-bad768e86690}'
      order: g
      label: 'Comparison Type'
      # defaultDataType: '&IDR_Report_Filter__has__Comparison_Type;'
    - globalIdentifier: '{e2527ba7-1051-49c5-940a-26def6a105bf}'
      order: h
      label: 'Comparison Value'
      # defaultDataType: '&IDR_Report_Filter__has__Comparison_Value;'
    - globalIdentifier: '{0a1dda28-f28a-4bcd-b306-a49ac9a33208}'
      order: i
      label: ')'
      defaultDataType: '&IDA_CloseParenthesis;'